Functions
IRQ Handler and Callbacks
Peripheral Driver » HAL Driver » I2S » Functions

IRQ Handler and Callbacks functions. More...

Collaboration diagram for IRQ Handler and Callbacks:

## Functions
void | hal_i2s_irq_handler (i2s_handle_t *p_i2s)
| Handle I2S interrupt request. More...
void | hal_i2s_tx_cplt_callback (i2s_handle_t *p_i2s)
| TX Transfer completed callback. More...
void | hal_i2s_rx_cplt_callback (i2s_handle_t *p_i2s)
| RX Transfer completed callback. More...
void | hal_i2s_tx_rx_cplt_callback (i2s_handle_t *p_i2s)
| TX/RX Transfer completed callback. More...
void | hal_i2s_error_callback (i2s_handle_t *p_i2s)
| I2S error callback. More...

## Detailed Description

IRQ Handler and Callbacks functions.

## Function Documentation

## ◆ hal_i2s_error_callback()

void hal_i2s_error_callback | ( | i2s_handle_t * | p_i2s | ) |

I2S error callback.

Parameters

  [in] | p_i2s | Pointer to an I2S handle which contains the configuration information for the specified I2S module.

## ◆ hal_i2s_irq_handler()

void hal_i2s_irq_handler | ( | i2s_handle_t * | p_i2s | ) |

Handle I2S interrupt request.

Parameters

  [in] | p_i2s | Pointer to an I2S handle which contains the configuration information for the specified I2S module.

## ◆ hal_i2s_rx_cplt_callback()

void hal_i2s_rx_cplt_callback | ( | i2s_handle_t * | p_i2s | ) |

RX Transfer completed callback.

Parameters

  [in] | p_i2s | Pointer to an I2S handle which contains the configuration information for the specified I2S module.

## ◆ hal_i2s_tx_cplt_callback()

void hal_i2s_tx_cplt_callback | ( | i2s_handle_t * | p_i2s | ) |

TX Transfer completed callback.

Parameters

  [in] | p_i2s | Pointer to an I2S handle which contains the configuration information for the specified I2S module.

## ◆ hal_i2s_tx_rx_cplt_callback()

void hal_i2s_tx_rx_cplt_callback | ( | i2s_handle_t * | p_i2s | ) |

TX/RX Transfer completed callback.

Parameters

  [in] | p_i2s | Pointer to an I2S handle which contains the configuration information for the specified I2S module.